GET api/role/{id}/documents?subTypes[0]={subTypes[0]}&subTypes[1]={subTypes[1]}&pageSize={pageSize}&pageNumber={pageNumber}&type={type}&orderDesc={orderDesc}&appointmentId={appointmentId}
Get a list of documents belonging to a role
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The id of the role to get the documents for |
integer |
Required |
| subTypes | Collection of string |
Required |
|
| pageSize | integer |
Default value is 20 |
|
| pageNumber | integer |
Default value is 1 |
|
| type | string |
None. |
|
| orderDesc | boolean |
Default value is True |
|
| appointmentId | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
A list of documents belonging to the role
PagedCollectionDataContractOfDocumentDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalCount | integer |
None. |
|
| CurrentCount | integer |
None. |
|
| PageSize | integer |
None. |
|
| PageNumber | integer |
None. |
|
| Collection | Collection of DocumentDataContract |
None. |
Response Formats
application/json
Sample:
Sample not available.
text/json
Sample:
Sample not available.